Subject: Re: [PATCH v2 net-next] bridge: Fix incorrect judgment of promisc

From: Vlad Yasevich <[email-masked]>
Date: Fri, 06 Jun 2014 10:13:29 -0400

On 06/06/2014 04:48 AM, David Laight wrote:
> From: David Miller [mailto:[email-masked]]
>>> br_manage_promisc() incorrectly expects br_auto_port() to return only 0
>>> or 1, while it actually returns flags, i.e., a subset of BR_AUTO_MASK.
>>>
>>> Signed-off-by: Toshiaki Makita <[email-masked]>
>>
>> I'm applying this as-is for now, even though I saw the other
>> suggestions in this thread (which BTW didn't get picked up by
>> patchwork, maybe some of you dropped the Message-Id in your replies by
>> accident).
> 
> I don't have a problem with that.
> The condition looks odd, but it is enabling promiscuous mode
> if any other ports are in 'auto' mode.

No, the condition is correct and explicit.  The cases are:
  0 auto ports == all ports are statically configured and non-promisc.
  1 auto port == only this port can be non-promisc.  all others promisc.
  > 1 auto port == all ports promisc.

-vlad

> Possibly the comment above made that clear, but it was truncated
> in the diffs.
> 
> 	David
> 
> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>